This version of the documentation is archived and no longer supported. View the current documentation to learn how to upgrade your version of the MongoDB Ops Manager.
Enable or disable telemetry collection for your Ops Manager installation.
Required Roles
This endpoint requires an API key that has the Global Owner role.
Endpoint
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/private/v1.0/telemetry
PATCH /collection/status
Request
Path Parameters
This endpoint doesn't use HTTP request path parameters.
Query Parameters
This endpoint doesn't use HTTP request query parameters.
Body Parameters
Name | Type | Necessity | Description |
|---|---|---|---|
enabled | boolean | required | Set to |
Response
Response Document
This endpoint returns an empty JSON object.
Example Request
curl --user "{publicApiKey}:{privateApiKey}" --digest \ --header "Accept: application/json" \ --header "Content-Type: application/json" \ --include \ --request PATCH "https://<OpsManagerHost>:<Port>/api/private/v1.0/telemetry/collection/status"
Example Response
Response Header
401 Unauthorized Content-Type: application/json;charset=ISO-8859-1 Date: {dateInUnixFormat} WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false Content-Length: {requestLengthInBytes} Connection: keep-alive
400 Bad Request Content-Type: application/json;charset=ISO-8859-1 Date: {dateInUnixFormat} X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion} Content-Length: {requestLengthInBytes}
200 OK Vary: Accept-Encoding Content-Type: application/json Strict-Transport-Security: max-age=300 Date: {dateInUnixFormat} Connection: keep-alive Content-Length: {requestLengthInBytes} X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
Response Body
{}